package androidx.viewpager.widget;

import android.database.DataSetObservable;
import android.database.DataSetObserver;
import android.os.Parcelable;
import android.view.View;
import android.view.ViewGroup;
import com.bytedance.covode.number.Covode;

public abstract class PagerAdapter {
    public final DataSetObservable LIZ = new DataSetObservable();
    public DataSetObserver mViewPagerObserver;

    static {
        Covode.recordClassIndex(1735);
    }

    public int LIZ(Object obj) {
        return -1;
    }

    public void LIZ(Parcelable parcelable, ClassLoader classLoader) {
    }

    public void LIZ(View view) {
    }

    public abstract boolean LIZ(View view, Object obj);

    public abstract int LIZIZ();

    public void LIZIZ(View view, int i, Object obj) {
    }

    public void LIZIZ(ViewGroup viewGroup) {
    }

    public CharSequence LIZJ(int i) {
        return null;
    }

    public Parcelable cB_() {
        return null;
    }

    public float d_(int i) {
        return 1.0f;
    }

    public void LIZJ() {
        synchronized (this) {
            DataSetObserver dataSetObserver = this.mViewPagerObserver;
            if (dataSetObserver != null) {
                dataSetObserver.onChanged();
            }
        }
        this.LIZ.notifyChanged();
    }

    public void LIZIZ(DataSetObserver dataSetObserver) {
        this.LIZ.unregisterObserver(dataSetObserver);
    }

    public void LIZJ(DataSetObserver dataSetObserver) {
        synchronized (this) {
            this.mViewPagerObserver = dataSetObserver;
        }
    }

    public void LIZ(DataSetObserver dataSetObserver) {
        this.LIZ.registerObserver(dataSetObserver);
    }

    public void LIZ(ViewGroup viewGroup) {
        LIZ((View) viewGroup);
    }

    public Object LIZ(View view, int i) {
        throw new UnsupportedOperationException("Required method instantiateItem was not overridden");
    }

    public Object LIZ(ViewGroup viewGroup, int i) {
        return LIZ((View) viewGroup, i);
    }

    public void LIZIZ(ViewGroup viewGroup, int i, Object obj) {
        LIZIZ((View) viewGroup, i, obj);
    }

    public void LIZ(View view, int i, Object obj) {
        throw new UnsupportedOperationException("Required method destroyItem was not overridden");
    }

    public void LIZ(ViewGroup viewGroup, int i, Object obj) {
        LIZ((View) viewGroup, i, obj);
    }
}
